#!/bin/bash

# After calling wr2rf_init.sh for both tx and rx wr2rf_vme cards. The sequence outlined below
# can be used to "simulate" a cycle of the sps. The slot numbers used are specific to cfv-774-celma4
# card configuration and should be adapted...
# slot 2 is TX, slots 4 RX

freq_SFTPRO2=43278.463683
freq_wrclk=125000000
prod=`echo "$freq_SFTPRO2*(2^48)" | bc -q`
ftw_h1=`echo "$prod/($freq_wrclk)" | bc -q`
ftw_SFTPRO2_hex=`echo "obase=16;ibase=10; $ftw_h1" | bc -q`

freq_LHCPILOT=43347.158955
freq_wrclk=125000000
prod=`echo "$freq_LHCPILOT*(2^48)" | bc -q`
ftw_h1=`echo "$prod/($freq_wrclk)" | bc -q`
ftw_LHCPILOT_hex=`echo "obase=16;ibase=10; $ftw_h1" | bc -q`

# reset the RX wr2rf trigger unit
sh vtu_setup.sh 4

# Prepare the dds 300 ms before we expect to need stable RF
./wr2rf -s 4 dds-init 1
./wr2rf -s 4 set-rfout 1 mix
./wr2rf -s 4 set-rfout 2 mix

usleep 1000

./wr2rf -s 2 0x$ftw_SFTPRO2_hex ftw-send1 reset

###############################################################

# reset the RX wr2rf trigger unit
sh vtu_setup.sh 4

# Prepare the dds 300 ms before we expect to need stable RF
./wr2rf -s 4 dds-init 1
./wr2rf -s 4 set-rfout 1 mix
./wr2rf -s 4 set-rfout 2 mix

usleep 1000

./wr2rf -s 2 0x$ftw_LHCPILOT_hex ftw-send1 reset


